<template>
    <div class="sewers-search" v-if="judgeVisible">
        <div class="search-panel ">
            <el-form ref="form" :model="form" label-width="90px" class="search-form">
                <el-form-item v-for="(item,index) in Options" :key="index" :label="item.label+'：'" size="mini"
                              class="search-panel-item">
                    <el-select style="width: 100%" v-model="form.pipelineType" @change="handlePipelineType"
                               :popper-class="'select-down'">
                        <el-option
                                v-for="(ite,index) in item.options"
                                :key="index"
                                :label="ite.label"
                                :value="ite.value">
                        </el-option>
                    </el-select>
                </el-form-item>
                <div class="page_total">
                    <p>共计
                        <span>{{total}}</span>
                        条记录
                    </p>
                </div>
                <div class="rightButtonSearch">
                    <el-input v-model="form.keyword" size="mini" placeholder="在此输入关键字搜索"></el-input>
                    <el-button class="el-icon-search" @click="handleSearch"></el-button>
                </div>
            </el-form>
        </div>
        <el-scrollbar style="height:377px">
            <div class="environmental-risk-list hover"><!-- v-for="(item,index) in list" :key="index" -->
                <i class="state"></i>
                <div>
                    <h3>###炼化部</h3>
                    <p>所属部门：<span>炼化部</span></p>
                    <p>风险级别：<span>三级</span></p>
                </div>
            </div>
            <div class="environmental-risk-list hover"><!-- v-for="(item,index) in list" :key="index" -->
                <i class="state"></i>
                <div>
                    <h3>###炼化部</h3>
                    <p>所属部门：<span>炼化部</span></p>
                    <p>风险级别：<span>三级</span></p>
                </div>
            </div>
            <div class="environmental-risk-list hover"><!-- v-for="(item,index) in list" :key="index" -->
                <i class="state"></i>
                <div>
                    <h3>###炼化部</h3>
                    <p>所属部门：<span>炼化部</span></p>
                    <p>风险级别：<span>三级</span></p>
                </div>
            </div>
        </el-scrollbar>
        <el-card class="footer-page" v-if="total > 10">
            <el-pagination
                    small
                    @current-change="handlePage"
                    :page-size=pageSize
                    layout="prev, pager, next"
                    :total=total
                    class="warnPagination"
            >
            </el-pagination>
        </el-card>
    </div>
</template>

<script>

export default {
  name: 'SewersHistory',
  data () {
    return {
      judgeVisible: true,
      form: {
        keyword: '历史数据'
      },
      // 数据搜索之后，存储数据的
      searchDataDisplay: [],
      Options: [
        {
          value: '1',
          label: '管线类型',
          options: [{
            value: '1-1',
            layerName: '雨水管线',
            key: 'yushuiguanxian',
            label: '雨水管线'
          }],
          labelList: [{
            label: '雨水管线',
            key: 'yushuiguanxian'
          }, {
            label: '长度(m)',
            key: 'length'
          }]
        },
        {
          value: '2',
          label: '变更年份',
          options: [{
            value: '2-1',
            layerName: '2004',
            key: '2004',
            label: '2004年'
          }, {
            value: '2-2',
            layerName: '2005',
            key: '2005',
            label: '2005年'
          }, {
            value: '2-3',
            layerName: '2006',
            key: '2006',
            label: '2006年'
          }],
          labelList: [{
            label: '输送介质',
            key: 'mediumtype'
          }, {
            label: '长度(m)',
            key: 'length'
          }]
        },
        {
          value: '3',
          label: '变更类型',
          options: [{
            value: '3-1',
            layerName: '全部',
            key: 'type',
            label: '全部'
          }],
          labelList: [{
            label: '输送介质',
            key: 'mediumtype'
          }, {
            label: '长度(m)',
            key: 'length'
          }]
        }
      ],
      list: [],
      total: 0,
      // 分页
      pageSize: 10
    }
  },
  methods: {
    handlePage () {

    },
    handlePipelineType (val) {
      console.log(val)
    },
    // 点击搜索实现数据的搜索展示
    handleSearch (data) {
      console.log(data)
    }
  }
}
</script>

<style lang="less" scoped>

</style>
